Bug 93035 - New port: security/bsp_upektfmess UPEK TouchChip TFM/ESS Fingerprint BSP
New port: security/bsp_upektfmess UPEK TouchChip TFM/ESS Fingerprint BSP
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sergey Matveychuk
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-08 14:20 UTC by fli
Modified: 2006-03-28 18:09 UTC (History)
0 users

See Also:


Attachments
bsp_upektfmess (21.41 KB, text/plain)
2006-02-08 14:20 UTC, fli
no flags Details
bsp_upektfmess-20060328 (21.76 KB, text/plain)
2006-03-28 09:02 UTC, fli
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fli 2006-02-08 14:20:01 UTC
UPEK TouchChip TFM/ESS Fingerprint BSP is a (binary only) BioAPI BSP which
provides support for UPEKs fingerprint sensors.
Comment 1 Sergey Matveychuk freebsd_committer 2006-02-17 17:51:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Take it.
Comment 2 fli 2006-02-18 01:32:54 UTC
Sergey Matveychuk wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Firstly of all I'd like to thank you for the port personally.
> 
> But the port has a couple flaws:
> 
> 1) A port has to have a list of files it installs (PLIST). Even if no
> package supported and even only one file installs. pkg_info -L
> package_name must show all files a port has.

The thing is that the BioAPI framework requires deinstallation of
a BSP module and doing a mod_install -u (bioapi stuff) which the
the pkg-deinstall script does actually  physically remove the file
aswell.
I initially had the file listed in pkg-plist but that generated
file not found errors on deinstall.
Do you have a good solution for this?

> 
> 2) I understand a license requirement. But we have a pointyhat cluster
> for automatic ports testing. Could you support a batch mode for the
> cluster tests (when BATCH macro defined)? It makes no affect on no
> package and no CD-ROM agreement. I.e. no package will appeared anywhere.
> 
> I'm ready to give you any help for that.
> 

Well, I can probably fix this. I considered this aswell but I thought
it didn't make much sense because the port consist of one binary file
that requires no build.

> - --
> Dixi.
> Sem.
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.2 (FreeBSD)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
> 
> iD8DBQFD9hOTTclL2LcfYF0RAsj3AJ9eht1KQ6Am0bxnfPGjwhUnWz5tzgCgx6dv
> LnY85AYvHll2yGNTpFhh3Cs=
> =wi4u
> -----END PGP SIGNATURE-----
Comment 3 Sergey Matveychuk freebsd_committer 2006-03-27 09:46:01 UTC
Do you plan to send a new version with changes we discussed?

-- 
Sem.
Comment 4 fli 2006-03-27 10:05:54 UTC
Sergey Matveychuk wrote:
> Do you plan to send a new version with changes we discussed?
> 

There are still the problems with the pkg-plist as I said in a
previous mail. Simply listing the file in pkg-plist will generate "file 
not found" errors on deinstall/pkg_delete.

This is because the BioAPI library maintain its own registry over
BioAPI BSP modules and modules has do be "de-registered" when
they are removed. This is done with the mod_install utility, BUT
this utility does also REMOVE the shared object from disk.

I have these solutions, none of them are really good

1. Skip pkg-plist (obviously not a good solution)
2. List it in pkg-plist and get "file not found" errors
    on deinstall/pkg_delete
3. Patch the mod_install utility to not remove the file.
4. Skip the mod_install -d step and leave stale meta data in the
    BioAPI registry.

What do you think? do you have a better solution?

Fredrik Lindberg
Comment 5 Sergey Matveychuk freebsd_committer 2006-03-27 13:47:49 UTC
Fredrik Lindberg wrote:
> I have these solutions, none of them are really good
> 
> 1. Skip pkg-plist (obviously not a good solution)
> 2. List it in pkg-plist and get "file not found" errors
>    on deinstall/pkg_delete
> 3. Patch the mod_install utility to not remove the file.
> 4. Skip the mod_install -d step and leave stale meta data in the
>    BioAPI registry.
> 
> What do you think? do you have a better solution?

I think "3." is only good solution. I've traversed a mod_install source
and it looks as quite trivial to fix - just remove a line with
DeleteFile() which is just a macro to unlink(2).

I have asked in ports@ to be sure there are no other good solutions.

But IIRC there was other requests for the ports. E.g. BATCH respect, URL
for instructions etc.

-- 
Sem.
Comment 6 fli 2006-03-28 09:02:12 UTC
Sergey Matveychuk wrote:
> I think "3." is only good solution. I've traversed a mod_install source
> and it looks as quite trivial to fix - just remove a line with
> DeleteFile() which is just a macro to unlink(2).
> 
> I have asked in ports@ to be sure there are no other good solutions.
> 
> But IIRC there was other requests for the ports. E.g. BATCH respect, URL
> for instructions etc.
> 

OK, let's go with number 3 then :)
A patch for security/bioapi is at ports/95028

A new shar archive is attached for bsp_upektfmess, it has the object
listed in PLIST_FILES, respects BATCH and provides an URL for
further instructions.

Fredrik Lindberg
Comment 7 Sergey Matveychuk freebsd_committer 2006-03-28 18:09:54 UTC
State Changed
From-To: open->closed

New port added. Thanks!